#version 450
layout(location=0) in vec3 attPosition;
layout(location=1) in vec3 attNormal;
layout(location=2) in vec2 attUv;

out vec3 varNormal;
out vec2 varUv;

layout(location=0) uniform mat4 cameraTransform;


void main(void)
{
	gl_Position = cameraTransform * vec4(attPosition, 1);
	varNormal = attNormal;
	varUv = attUv;
}
